package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IApplication;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[Application] 服务对象接口
 */
public interface IApplicationClientService{

    public IApplication createModel() ;

    public void remove(IApplication application);

    public void checkKey(IApplication application);

    public void save(IApplication application);

    public void getDraft(IApplication application);

    public void update(IApplication application);

    public void get(IApplication application);

    public void create(IApplication application);

    public Page<IApplication> fetchDefault(SearchContext context);

}
